Can i use DownloadManager class in api level lower than 9?

I want to download file from internet in my Android application. I have used DownloadManager class and it works correctly on Gingerbread and above, but not on Froyo and below.

How can i use DownloadManager in api levels lower than 9?

Answers


How can i use DownloadManager in api levels lower than 9?

You can't. You will need to download the file yourself, using HttpUrlConnection or HttpClient.


Need Your Help

What defines "how many Spring containers will be running in my JVM"?

java spring

Suppose I have two configuration metadata XML files: services.xml, daos.xml.

How to set attribute selected true for option with no value in jquery

javascript jquery ruby-on-rails

I am having a select box with all users names. I want to list all users in one place by selecting (All) option in the select box. I have tried by doing the following